package com.qq.e.demo;

import java.util.Collection;
import java.util.Map;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;

import com.androidquery.AQuery;
import com.qq.e.demo.feeds.BaseFeedsDemoAdapter;
import com.qq.e.demo.feeds.MyCustomFeedsDemoAdapter;
import com.qq.e.demo.feeds.MyCustomFeedsView;
import com.qq.e.feedsad.CustomFeedsViewBuilder;
import com.qq.e.feedsad.FeedsAD;
import com.qq.e.feedsad.FeedsAD.FeedsADListener;
import com.qq.e.feedsad.FeedsADSetting;
import com.qq.e.feedsad.FeedsADViewRef;

public class CustomFeedsDemoActivity extends StandardFeedsDemoActivity {
  private LayoutInflater inflater;
  static BaseFeedsDemoAdapter adapter;

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    this.inflater = this.getLayoutInflater();
  }

  @Override
  protected void initAdapter() {
    if (adapter == null) {
      this.dataAdapter =
          new MyCustomFeedsDemoAdapter(getApplicationContext(), data, CustomFeedsDemoActivity.this);
      this.dataAdapter.addNormal(50);
      adapter = this.dataAdapter;
    }

  }

  @Override
  protected void initFad() {
    this.fad =
        new FeedsAD(CustomFeedsDemoActivity.this, "2211675583", "9079257952862302885", setting,
            new FeedsADListener() {
              @Override
              public void onFeedsADFail(int errorCode) {
                Log.i("Test", "feeds ad failed " + errorCode);
              }

              @Override
              public void onFeedsADLoaded(final Collection<FeedsADViewRef> refs) {
                for (FeedsADViewRef ref : refs) {
                  Log.i("Test", ref.getADInfo().toString());
                  dataAdapter.addAD(ref);
                  dataAdapter.addNormal(5);
                }
              }

              @Override
              public void onFeedsADReady(FeedsADViewRef arg0) {
              }
            }, new CustomFeedsViewBuilder() {

              @Override
              public View build(Map<String, Object> adInfo, View convertView, FeedsADSetting setting) {
                MyCustomFeedsView adView = null;
                if (convertView != null && adView instanceof MyCustomFeedsView) {
                  adView = (MyCustomFeedsView) convertView;

                } else {
                  adView =
                      (MyCustomFeedsView) inflater.inflate(R.layout.feeds_ad_item_advanced, null);
                  adView.setTag("AdvancedADView");
                }
                AQuery aq = new AQuery(adView);
                aq.id(R.id.icon).image((String) adInfo.get("icon"), false, true);
                aq.id(R.id.largeImg).image((String) adInfo.get("img"), false, true);
                aq.id(R.id.desc).text((String) adInfo.get("desc"));
                aq.id(R.id.title).text((String) adInfo.get("text"));
                aq.id(R.id.total).text(adInfo.get("players") + "人在玩");
                aq.id(R.id.score).text("得分" + adInfo.get("score"));
                adView.bindPkg((String) adInfo.get("pkgname"));
                adView.updateButtonText((Integer) adInfo.get("appstatus"));
                adView.updateBackGround(setting.getAdBackGroundColor());
                adView.updateStyle(setting.getStyleID());

                return adView;
              }

            });
  }
}
