package com.qq.e.demo;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.Toast;

import com.qq.e.gridappwall.GridAppWall;
import com.qq.e.gridappwall.GridAppWallListener;

public class GridDemoActivity extends Activity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_grid_demo);
    /*
     * 创建橱窗广告
     * "appid"指在 http://e.qq.com/dev/ 能看到的app唯一字符串
     * "广告位 id" 指在 http://e.qq.com/dev/ 生成的数字串，
     */
    final GridAppWall g = new GridAppWall(Constants.APPId, Constants.GridAppWallPosId, this, new GridAppWallListener() {
      
      @Override
      public void onAdPresent() {
        //橱窗展示回调
		Toast.makeText(GridDemoActivity.this,
								"GridAppWallPresent", Toast.LENGTH_LONG).show();
      }
      
      @Override
      public void onAdFailed(int errCode) {
        //广告展示失败回调
		Toast.makeText(GridDemoActivity.this,
								"GridAppWallFailed", Toast.LENGTH_LONG).show();
      }
      
      @Override
      public void onAdDismissed() {
        //橱窗广告关闭回调
		Toast.makeText(GridDemoActivity.this,
								"GridAppWallDismissed", Toast.LENGTH_LONG).show();
      }
    });
    
    // 适当的时候弹出应用墙
    Button showBtn = (Button)findViewById(R.id.gridShowBtn);
    showBtn.setOnClickListener(new OnClickListener() {
      
      @Override
      public void onClick(View v) {
        
        String xText = ((EditText) findViewById(R.id.xEditText)).getText().toString();
        String yText = ((EditText) findViewById(R.id.yEditText)).getText().toString();
        
        int x = xText.isEmpty() ? 0 : Integer.parseInt(xText);
        int y = yText.isEmpty() ? 0 : Integer.parseInt(yText);
        
        // 从绝对位置开始展现橱窗，x y值为物理像素
        g.showRelativeTo(x, y);
      }
    });
    
    
    OnClickListener l = new OnClickListener() {
      
      @Override
      public void onClick(View v) {
        // 从组件位置开始展现橱窗 
        g.showRelativeTo(v);
      }
    };
    
    ImageButton ib = (ImageButton) findViewById(R.id.showGridBtn);
    ib.setOnClickListener(l);;
  }


  @Override
  public boolean onCreateOptionsMenu(Menu menu) {
    // Inflate the menu; this adds items to the action bar if it is present.
    // getMenuInflater().inflate(R.menu.grid_demo, menu);
    return true;
  }

}
