package com.qq.e.demo;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Spinner;

import com.qq.e.demo.PulldownListView.OnRefreshListener;
import com.qq.e.demo.feeds.BaseFeedsDemoAdapter;
import com.qq.e.demo.feeds.FeedsADItem;
import com.qq.e.demo.feeds.MyStandardFeedsDemoAdapter;
import com.qq.e.demo.feeds.FeedsItem;
import com.qq.e.feedsad.FeedsAD;
import com.qq.e.feedsad.FeedsAD.FeedsADListener;
import com.qq.e.feedsad.FeedsADSetting;
import com.qq.e.feedsad.FeedsADViewRef;

public class StandardFeedsDemoActivity extends Activity {

  public static final int BG_Dark_Color = Color.argb(255, 10, 10, 5);
  public static final int BG_Light_Color = Color.argb(255, 248, 248, 241);


  protected List<FeedsItem> data = new ArrayList<FeedsItem>();
  protected BaseFeedsDemoAdapter dataAdapter;

  protected FeedsAD fad;

  protected final FeedsADSetting setting = new FeedsADSetting();


  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_feeds_demo);
    this.setting.setAdBackGroundColor(Color.argb(255, 248, 248, 241));
    initAdapter();
    initFad();
    initListView();

    initSpiner();
  }


  private void initSpiner() {
    Spinner spiner = (Spinner) this.findViewById(R.id.spinner1);
    final String[] skins =
        new String[] {"skin01", "skin02", "skin03", "skin04", "skin01-alpha0d6", "skin02-alpha0d6",
            "skin03-alpha0d6", "skin04-alpha0d6"};
    spiner.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, skins));
    spiner.setOnItemSelectedListener(new OnItemSelectedListener() {

      @Override
      public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
        String styleId = skins[arg2];
        int bg_color = styleId.contains("alpha0d6") ? BG_Dark_Color : BG_Light_Color;
        setting.setStyleID(styleId);
        setting.setAdBackGroundColor(bg_color);
        if(dataAdapter != null){
          for (FeedsADItem ad : dataAdapter.getAdList()) {
            ad.getRef().setStyleAndADBackGround(styleId, bg_color);
          }
        }
      }

      @Override
      public void onNothingSelected(AdapterView<?> arg0) {

      }
    });
  }


  private void initListView() {
    final PulldownListView listView = (PulldownListView) findViewById(R.id.listView);
    listView.setAdapter(dataAdapter);
    listView.setOnRefreshListener(new OnRefreshListener() {
      @Override
      public void onRefresh() {
        fad.loadAD(8);
      }
    });
  }


  protected void initAdapter() {
    dataAdapter = new MyStandardFeedsDemoAdapter(this, data,StandardFeedsDemoActivity.this);
    dataAdapter.addNormal(50);
  }


  protected void initFad() {
    this.fad =
        new FeedsAD(StandardFeedsDemoActivity.this, "2211675583", "9079257952862302885", setting,
            new FeedsADListener() {
              @Override
              public void onFeedsADFail(int errorCode) {
                Log.i("Test", "feeds ad failed " + errorCode);
              }

              @Override
              public void onFeedsADLoaded(Collection<FeedsADViewRef> refs) {
                // 标准模式下此方法被调用时仅仅表示广告数据加载完毕，不代表图片等素材准备完成。所以应监听onFeedsADReady方法
                // dataAdapter.addAD(refs);
           
              }

              @Override
              public void onFeedsADReady(FeedsADViewRef ref) {
//                Log.i("LoadFeedsADTest:"+refs.size());
                dataAdapter.addAD(ref);
              }
            });
  }
}
