package com.qq.e.demo.feeds;

import com.androidquery.AQuery;
import com.qq.e.demo.R;
import com.qq.e.feedsad.CustomFeedsViewInterface;
import com.qq.e.v2.util.GDTLogger;

import android.content.Context;
import android.graphics.Color;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.RelativeLayout;

public class MyCustomFeedsView extends RelativeLayout implements CustomFeedsViewInterface {


  public MyCustomFeedsView(Context context, AttributeSet attrs, int defStyle) {
    super(context, attrs, defStyle);
  }

  public MyCustomFeedsView(Context context, AttributeSet attrs) {
    super(context, attrs);
  }

  public MyCustomFeedsView(Context context) {
    super(context);
  }
  
  private String pkg;
  public void bindPkg(String pkg){
    this.pkg = pkg;
  }

  @Override
  public void updateAppStatus(String pkgName, int status) {
    GDTLogger.d("Status Updating"+pkgName+"\t"+status);
    if(pkgName!=null && pkgName.equals(this.pkg)){
     updateButtonText(status);;
    }
  }
  
  public void updateButtonText(int status){
    AQuery aq = new AQuery(this);
    Log.i("CustomFeedsView", "APPStatus:"+status);
    switch (status) {
      case 1:
        aq.id(R.id.downbt).text("点击启动");
        break;
      case 4:
        aq.id(R.id.downbt).text("下载中");
        break;
      case 8:
        aq.id(R.id.downbt).text("点击安装");
        break;
      case 16:
        aq.id(R.id.downbt).text("点击重试");
        break;
      default:
        aq.id(R.id.downbt).text("下载");
        break;
    }
    
  }

  @Override
  public void updateBackGround(int color) {
    this.setBackgroundColor(color);
  }

  @Override
  public void updateStyle(String style) {
    if(style!=null && style.contains("0d6")){
      new AQuery(this).textColor(Color.parseColor("#464652"));
    }
  }

}
